pcl::visualization::PointCloudColorHandlerRGBHack< PointT > Class Template Reference

`#include </build/pcl-gWGA5r/pcl-1.10.0+dfsg/gpu/kinfu_large_scale/tools/color_handler.h>`

Inheritance diagram for pcl::visualization::PointCloudColorHandlerRGBHack< PointT >:

## Public Types

using | Ptr = shared_ptr< PointCloudColorHandlerRGBHack< PointT > >
using | ConstPtr = shared_ptr< const PointCloudColorHandlerRGBHack< PointT > >
Public Types inherited from pcl::visualization::PointCloudColorHandler< PointT >
using | PointCloud = pcl::PointCloud< PointT >
using | PointCloudPtr = typename PointCloud::Ptr
using | PointCloudConstPtr = typename PointCloud::ConstPtr
using | Ptr = shared_ptr< PointCloudColorHandler< PointT > >
using | ConstPtr = shared_ptr< const PointCloudColorHandler< PointT > >

## Public Member Functions

| PointCloudColorHandlerRGBHack (const PointCloudConstPtr &cloud, const RgbCloudConstPtr &colors)
bool | getColor (vtkSmartPointer< vtkDataArray > &scalars) const override
| Obtain the actual color for the input dataset as a VTK data array. More...
Public Member Functions inherited from pcl::visualization::PointCloudColorHandler< PointT >
| PointCloudColorHandler ()
| Constructor. More...
| PointCloudColorHandler (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual | ~PointCloudColorHandler ()
| Destructor. More...
bool | isCapable () const
| Check if this handler is capable of handling the input data or not. More...
virtual vtkSmartPointer< vtkDataArray > | getColor () const
| Obtain the actual color for the input dataset as a VTK data array. More...
virtual void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used. More...

## Additional Inherited Members

Protected Attributes inherited from pcl::visualization::PointCloudColorHandler< PointT >
PointCloudConstPtr | cloud_
| A pointer to the input dataset. More...
bool | capable_
| True if this handler is capable of handling the input data, false otherwise. More...
int | field_idx_
| The index of the field holding the data that represents the color. More...
std::vector< pcl::PCLPointField > | fields_
| The list of fields available for this PointCloud. More...

## Detailed Description

### template<typename PointT>
class pcl::visualization::PointCloudColorHandlerRGBHack< PointT >

Definition at line 48 of file color_handler.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT >

using pcl::visualization::PointCloudColorHandlerRGBHack< PointT >::ConstPtr = shared_ptr<const PointCloudColorHandlerRGBHack<PointT> >

Definition at line 58 of file color_handler.h.

## Ptr

template<typename PointT >

using pcl::visualization::PointCloudColorHandlerRGBHack< PointT >::Ptr = shared_ptr<PointCloudColorHandlerRGBHack<PointT> >

Definition at line 57 of file color_handler.h.

## Constructor & Destructor Documentation

## PointCloudColorHandlerRGBHack()

template<typename PointT >

pcl::visualization::PointCloudColorHandlerRGBHack< PointT >::PointCloudColorHandlerRGBHack | ( | const PointCloudConstPtr & | cloud,
|  | const RgbCloudConstPtr & | colors
| ) |  |

inline

Definition at line 60 of file color_handler.h.

References pcl::visualization::PointCloudColorHandler< PointT >::capable_.

## Member Function Documentation

## getColor()

template<typename PointT >

bool pcl::visualization::PointCloudColorHandlerRGBHack< PointT >::getColor | ( | vtkSmartPointer< vtkDataArray > & | scalars | ) | const

inline override virtual

Obtain the actual color for the input dataset as a VTK data array.

This virtual method should not be overriden or used. The default implementation is provided only for backwards compatibility with handlers that were written before PCL 1.10.0 and will be removed in future.

Reimplemented from pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 67 of file color_handler.h.

References pcl::visualization::PointCloudColorHandler< PointT >::capable_, and pcl::visualization::PointCloudColorHandler< PointT >::cloud_.

The documentation for this class was generated from the following file:

- /build/pcl-gWGA5r/pcl-1.10.0+dfsg/gpu/kinfu_large_scale/tools/color_handler.h